<?php
session_start();
if( $_SESSION["user"] == "" || $_SESSION["passwd"] == "" || $_SESSION["admin"] == false ) {
//   mysqli_close($conn);
//   header("Location: index.php");
}


include_once('db_config.php');

$Title = "Balance de Sumas y Saldos";
$Desde  = isset($_POST['desde']) ? $_POST["desde"]  : "";
$Hasta  = isset($_POST['hasta']) ? $_POST["hasta"]  : "";
$Cuenta  = isset($_POST['cuenta']) ? $_POST["cuenta"]  : "";
$Den     = isset($_POST['denom']) ? $_POST["denom"]  : "";
$Incluir = isset($_POST['modo']) ? $_POST["modo"]  : "";
$Inicio = $_SESSION["inicio"];
$Fin = $_SESSION["fin"];
$Descripcion = $_SESSION["Descripcion_Ejercicio"];

$selected[0] = "";
$selected[1] = "";


if( empty($Incluir) ) {
   if( $_SESSION["Tipo_Asiento"] != "" ) $Incluir = $_SESSION["Tipo_Asiento"];
   else $Incluir = "0";
//   $selected[0] = "selected";
}
$selected[$Incluir-1] = "selected";

if( empty($Cuenta) ) $Den = ""; 
if( empty($Desde) ) {        
   if( $_SESSION["Desde"] != "" ) $Desde = $_SESSION["Desde"];
   else $Desde = date("01-01-Y");   
}

if( empty($Hasta) ) {        
   if( $_SESSION["Hasta"] != "" ) $Hasta = $_SESSION["Hasta"];
   else $Hasta = date("31-12-Y");   
}

if( empty($Cuenta) ) {        
   if( $_SESSION["Cuenta"] != "" ) $Cuenta = $_SESSION["Cuenta"];
   else $Cuenta =""; 
}

if( empty($Den) ) {        
   if( $_SESSION["Den"] != "" ) $Den = $_SESSION["Den"];
   else $Den =""; 
}
$Ejercicio = $_SESSION["ID_Ejercicio"];


$_SESSION["Tipo_Asiento"] = $Incluir;
$_SESSION["Desde"] = $Desde;
$_SESSION["Hasta"] = $Hasta;
$_SESSION["Cuenta"] = $Cuenta;
$_SESSION["Den"] = $Den;
$D = substr( $Desde, 6, 4 ) . "/" . substr( $Desde, 3, 2 ) . "/" . substr( $Desde, 0, 2 );
$H = substr( $Hasta, 6, 4 ) . "/" . substr( $Hasta, 3, 2 ) . "/" . substr( $Hasta, 0, 2 ); 

include 'contableHeader.php'; 
?>
  <link type="text/css" rel="stylesheet" href="styles/styles_100.css"  media="screen,projection"/> 
  <link href="http://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  <div id="content">
  <div class="container" style="width:86%" >
<!--    <div style="height: 15px;"></div> -->
<!--    <div class="col l9 m12 s12"> -->
      <div class="page-content">
<!--        <div style="height:20px;"></div> -->
 <?php
         echo "<div class='row'>";
         echo "<div class='input-field col s12 red-text text-darken-4' style='font-size:16pt; text-decoration: underline; padding-bottom:20px;'>" . $Descripcion . "</div>";;
         echo "</div>";

         echo "<div class='row'>";
         echo "<div class='input-field col s2'>";
         echo "<label for='desde'>Desde</label>";
         echo "<input id='desde' type='text' class='datepicker' value='" . $Desde . "' onChange='onChange(this);'>";
         echo "</div>";
         echo "<div class='input-field col s2'>";
         echo "<label for='hasta'>Hasta</label>";
         echo "<input id='hasta' type='text' class='datepicker' value='" . $Hasta . "' onChange='onChange(this);'>";
         echo "</div>";
         echo "<div class='input-field col s4' style='padding-top:10px;'>";
             echo "<select id='modo' name='modo'>"; 
             echo "<option value='1' " . $selected[0] . ">Todos los Asientos</option>";
             echo "<option value='2' " . $selected[1] . ">Excluir los Asientos de Cierre</option>";
             echo "</select>"; 
         echo "<label>Incluir</label>"; 
         echo "</div>"; 
         echo "<div class='input-field col s3'>";
         echo "<button onclick='Submit();' class='btn waves-effect waves-light btn col s3' style='margin-top:5px; margin-left: 30px; width:130px;' name='action'>Visualizar</button>";
         echo "</div>";
         echo "</div>";
/*
         echo "<div class='row'>";
         echo "<div class='input-field col s2'>";
             echo "<input id='cuenta' type='text' class='' placeholder=' ' value='" . $Cuenta . "'>";
             echo "<label for='cuenta'>Cuenta</label>";
         echo "</div>";
         echo "<div class='input-field col s6'>";
             echo "<input id='denominacion' type='text' disabled class='' placeholder=' ' value='" . $Den . "'>";
             echo "<label for='denominacion'>Denominaci&oacute;n</label>";
         echo "</div>";
         echo "<div class='input-field col s3'>";
         echo "<button onclick='Submit();' class='btn waves-effect waves-light btn col s3' style='margin-top:15px; margin-left: 30px; width:100px;' name='action'>Buscar</button>";
         echo "</div>";
         echo "</div>";
         */
?>
      </div>  <!-- page-content --> 
<style>
th {
 font-weight: normal;
 color: black;
}

.totals {
  color:#0277bd;
  font-weight: bold;
  font-size: 1.1em;
  font-size: 1em;
}
.row {
  line-height: 2em; 
}
</style>
<?php

   /* ---- Mayor ---- */
   $sql = "select cuenta, denominacion from cuentas where cuenta='" . $Cuenta . "'";
   $result = $conn->query($sql);
   if ($result->num_rows > 0) {
      while($row = $result->fetch_assoc()) {
         $Cuenta = $row["cuenta"];
         $Denominacion = $row["denominacion"];
      }
   }
   mysqli_free_result( $result );

//  $DDesde = "2016-07-01";
//  $Hasta = "2017-07-01";
//  $sql = "select asientos.fecha as _fecha, asientos.asiento as _asiento, movimientos.movimiento,  movimientos.cuenta, concepto, detalle, movimientos.debe as suma_debe, movimientos.haber as suma_haber from movimientos left join asientos on asientos.asiento=movimientos.asiento where movimientos.Empresa=1 and asientos.fecha is not null and cuenta = '" .$Cuenta . "' and asientos.fecha >='" . $D . "' and asientos.Fecha <='" . $H . "' order by cuenta, asientos.fecha, asientos.asiento, movimiento";
//  $sql = "select *, cuentas.cuenta as acuenta, cuentas.denominacion as denom, (sum(case when asientos.fecha < '" . $Hasta . "' then (movimientos.debe-movimientos.haber) else 0 end )) as anterior, (sum(case when asientos.fecha >='" . $Desde . "' then (movimientos.debe) else 0 end )) as totalDebe, (sum(case when asientos.fecha >='" . $Desde . "' then (movimientos.haber) else 0 end )) as totalHaber, cuentas.Columna_SumasSaldos from movimientos left join cuentas on cuentas.cuenta = movimientos.cuenta left join asientos on asientos.asiento = movimientos.asiento where asientos.fecha >='" . $Desde . "' and asientos.fecha <'" .$Hasta . "' group by movimientos.cuenta order by asientos.fecha, asientos.asiento, movimiento";

  if( $Incluir == "2") $Filter = " and Tipo_Asiento<>1";
  else $Filter = "";

//  $sql = "select *, cuentas.cuenta as acuenta, cuentas.denominacion as denom, (sum(case when asientos.fecha < '" . $D . "' then (movimientos.debe-movimientos.haber) else 0 end )) as anterior, (sum(case when asientos.fecha >='" . $D . "' then (movimientos.debe) else 0 end )) as totalDebe, (sum(case when asientos.fecha >='" . $Desde . "' then (movimientos.haber) else 0 end )) as totalHaber, cuentas.Columna_SumasSaldos as columna from movimientos left join cuentas on cuentas.cuenta = movimientos.cuenta left join asientos on asientos.asiento = movimientos.asiento where asientos.fecha >='" . $D . "' and asientos.fecha <='" .$H . "' and movimientos.borrado=0 group by movimientos.cuenta";
//  $sql = "select *, cuentas.cuenta as acuenta, cuentas.denominacion as denom, (sum(case when asientos.fecha >='" . $D . "' then (movimientos.debe) else 0 end )) as totalDebe, (sum(case when asientos.fecha >='" . $Desde . "' then (movimientos.haber) else 0 end )) as totalHaber, cuentas.Columna_SumasSaldos as columna from movimientos left join cuentas on cuentas.cuenta = movimientos.cuenta left join asientos on asientos.asiento = movimientos.asiento where asientos.fecha >='" . $D . "' and asientos.fecha <='" .$H . "' and movimientos.borrado=0 group by movimientos.cuenta";
  $sql = "select *, cuentas.cuenta as acuenta, cuentas.denominacion as denom, (sum(case when asientos.fecha >='" . $D . "' then (movimientos.debe) else 0 end )) as totalDebe, (sum(case when asientos.fecha >='" . $Desde . "' then (movimientos.haber) else 0 end )) as totalHaber, cuentas.Columna_SumasSaldos as columna from movimientos left join cuentas on cuentas.cuenta = movimientos.cuenta left join asientos on asientos.asiento = movimientos.asiento where asientos.fecha >='" . $D . "' and asientos.fecha <='" .$H . "'" . $Filter . " and movimientos.borrado=0 group by movimientos.cuenta";

  // Ojo: 05-02-2017
  $sql = "select *, cuentas.cuenta as acuenta, cuentas.denominacion as denom, (sum(case when asientos.fecha >='" . $D . "' then (movimientos.debe) else 0 end )) as totalDebe, (sum(case when asientos.fecha >='" . $D . "' then (movimientos.haber) else 0 end )) as totalHaber, cuentas.Columna_SumasSaldos as columna from movimientos left join cuentas on cuentas.cuenta = movimientos.cuenta left join asientos on asientos.id = movimientos.id_asiento where asientos.fecha >='" . $D . "' and asientos.fecha <='" .$H . "'" . $Filter . " and movimientos.borrado=0 and movimientos.ejercicio='" . $Ejercicio . "' group by movimientos.cuenta";
//  echo $sql , "<br/>";
  $result = $conn->query($sql);
  if ($result->num_rows > 0) {

    echo "<table id='detail' class='highlight' style='color:grey; font-weight:normal;'>";
    echo "<thead>";
      echo "<tr>";
        echo "<div class='row data grey lighten-2' style='padding-bottom:0.5em; padding-top:1em;'><b>";
        echo "<div class='col s1' style='width:8%; border-radius:0; text-decoration:underline;'>Cuenta</div>";
        echo "<div class='col s3' style='width:22%; border-radius:0; text-decoration:underline;'>Denominacion</div>"; 
        echo "<div class='col s1 right-align' style='width:10%; border-radius:0; text-decoration:underline;'>Debe</div>"; 
        echo "<div class='col s1 right-align' style='width:10%; border-radius:0; text-decoration:underline;'>Haber</div>"; 
        echo "<div class='col s1 right-align' style='width:10%; border-radius:0; text-decoration:underline;'>Diferencia</div>"; 
        echo "<div class='col s1 right-align' style='width:10%; border-radius:0; text-decoration:underline;'>Activo</div>"; 
        echo "<div class='col s1 right-align' style='width:10%; border-radius:0; text-decoration:underline;'>Pasivo</div>"; 
        echo "<div class='col s1 right-align' style='width:10%; border-radius:0; text-decoration:underline;'>Perdidas</div>"; 
        echo "<div class='col s1 right-align' style='width:10%; border-radius:0; text-decoration:underline;'>Ganancias</div></b>"; 
      echo "</div>";
      echo "</tr>"; 
     echo "</thead>"; 
     echo "<tbody />"; 
     echo "</table>"; 

    $xor = 0;
    $Total_Debe = $Total_Haber = 0;
    $SUM_DEBE = $SUM_HABER = $SUM_ACTIVO = $SUM_PASIVO = $SUM_PERDIDAS = $SUM_GANANCIAS = $SUM_DIF = 0;

    while($row = $result->fetch_assoc()) {

      $dif = $row["totalDebe"] - $row["totalHaber"];
      $col = $row["columna"];

      if( $xor ^= 1 ) 
         echo "<div class='row data blue-grey lighten-5'>";
      else echo "<div class='row data'>";
      echo "<div class='input-field col s1' style='width:8%;'>" . $row["acuenta"] . "</div>"; 
      echo "<div class='input-field col s3' style='width:22%;'>" . $row["denom"] . "</div>"; 
      echo "<div class='input-field col s1 right-align' style='width:10%;'>" . number_format ($row["totalDebe"], 2, ',' ,  '.' ) . "</div>";
      echo "<div class='input-field col s1 right-align' style='width:10%;'>" . number_format ($row["totalHaber"], 2, ',' ,  '.' ) . "</div>";
      echo "<div class='input-field col s1 right-align' style='width:10%;'>" . number_format ($dif, 2, ',' ,  '.' ) . "</div>";

      $SUM_DEBE += $row["totalDebe"];
      $SUM_HABER += $row["totalHaber"];
      $SUM_DIF += $dif;


      switch( $col ) {
         case "1": 
            echo "<div class='input-field col s1 right-align' style='width:10%;'>" . number_format ($dif, 2, ',' ,  '.' ) . "</div>"; 
            echo "<div class='input-field col s1 right-align' style='width:10%;' >0.00</div>"; 
            echo "<div class='input-field col s1 right-align' style='width:10%;'>0.00</div>"; 
            echo "<div class='input-field col s1 right-align' style='width:10%;'>0.00</div>"; 
            $SUM_ACTIVO += $dif;
            break;

         case "2": 
            echo "<div class='input-field col s1 right-align' style='width:10%;'>0.00</div>"; 
            echo "<div class='input-field col s1 right-align' style='width:10%;'>" . number_format ($dif, 2, ',' ,  '.' ) . "</div>"; 
            echo "<div class='input-field col s1 right-align' style='width:10%;'>0.00</div>"; 
            echo "<div class='input-field col s1 right-align' style='width:10%;'>0.00</div>"; 
            $SUM_PASIVO += $dif;
            break; 

         case "3": 
            echo "<div class='input-field col s1 right-align' style='width:10%;'>0.00</div>"; 
            echo "<div class='input-field col s1 right-align' style='width:10%;'>0.00</div>"; 
            echo "<div class='input-field col s1 right-align' style='width:10%;'>" . number_format ($dif, 2, ',' ,  '.' ) . "</div>"; 
            echo "<div class='input-field col s1 right-align' style='width:10%;'>0.00</div>"; 
            $SUM_PERDIDAS += $dif;
            break; 

         case "4": 
            echo "<div class='input-field col s1 right-align' style='width:10%;'>0.00</div>"; 
            echo "<div class='input-field col s1 right-align' style='width:10%;'>0.00</div>"; 
            echo "<div class='input-field col s1 right-align' style='width:10%;'>0.00</div>"; 
            echo "<div class='input-field col s1 right-align' style='width:10%;'>" . number_format ($dif, 2, ',' ,  '.' ) . "</div>"; 
            $SUM_GANANCIAS += $dif;
            break; 
      }
      echo "</div>";
    }

   /* --- Totales --- */

        if( $SUM_DEBE <= -0 && $SUM_DEBE >= -0.001 )           $SUM_DEBE = 0;
        if( $SUM_HABER <= -0 && $SUM_HABER >= -0.001 )         $SUM_HABER = 0;
        if( $SUM_DIF <= 0 && $SUM_DIF >= -0.001 )              $SUM_DIF = 0;
        if( $SUM_ACTIVO <= -0 && $SUM_ACTIVO >= -0.001 )       $SUM_ACTIVO = 0;
        if( $SUM_PASIVO <= -0 && $SUM_PASIVO >= -0.001 )       $SUM_PASIVO = 0;
        if( $SUM_PERDIDAS <= -0 && $SUM_PERDIDAS >= -0.001 )   $SUM_PERDIDAS = 0;
        if( $SUM_GANANCIAS <= -0 && $SUM_GANANCIAS >= -0.001 ) $SUM_GENANCIAS = 0;

        echo "<div class='row data grey lighten-2' style='padding-bottom:0.5em; padding-top:1em;'><b>";
        echo "<div class='col s1' style='border-radius:0; width:8%;'></div>";
        echo "<div class='col s3' style='border-radius:0; width:22%;'></div>"; 
        echo "<div class='col s1 right-align' style='border-radius:0; width:10%;'>" . number_format ( $SUM_DEBE, 2, ',' ,  '.' ) . "</div>"; 
        echo "<div class='col s1 right-align' style='border-radius:0; width:10%;'>" . number_format ( $SUM_HABER, 2, ',' ,  '.' ) . "</div>"; 
        echo "<div class='col s1 right-align' style='border-radius:0; width:10%;'>" . number_format ( $SUM_DIF, 2, ',' ,  '.' ) . "</div>"; 
        echo "<div class='col s1 right-align' style='border-radius:0; width:10%;'>" . number_format ( $SUM_ACTIVO, 2, ',' ,  '.' ) . "</div>"; 
        echo "<div class='col s1 right-align' style='border-radius:0; width:10%;'>" . number_format ( $SUM_PASIVO, 2, ',' ,  '.' ) . "</div>"; 
        echo "<div class='col s1 right-align' style='border-radius:0; width:10%;'>" . number_format ( $SUM_PERDIDAS, 2, ',' ,  '.' ) . "</div>"; 
        echo "<div class='col s1 right-align' style='border-radius:0; width:10%;'>" . number_format ( $SUM_GANANCIAS, 2, ',' ,  '.' ) . "</div>"; 

/*
   echo "<div class='row data blue-grey white-text'>";
   echo "<div class='input-field col s1' style='width:7em;'></div>"; 
   echo "<div class='input-field col s2 offset-s5 right-align'><b>";
   echo number_format ( $Total_Debe, 2, ',' ,  '.' ); 
   echo "</div>";
   echo "<div class='input-field col s2 right-align'>";
   echo number_format ( $Total_Haber, 2, ',' ,  '.' );
   echo "</div>";
   echo "<div class='input-field col s2 right-align' style='width:11em;'>";
   echo number_format ( $Total_Debe - $Total_Haber, 2, ',' ,  '.' );
   echo "</b></div>";
   */

   echo "</div>";
   echo "<div style='height:100px;'></div>";
   echo "</div>";            //--  container --> 
   }

   mysqli_close($conn);
   echo "<ul id='dropdownData' class='dropdown-client' style='z-index:10; display:none;'>";
   echo "</ul>";
   echo "</div>";          // -- content -->

?>        


   <script type="text/javascript" src="js/jquery.min.js"></script>
   <script type="text/javascript" src="js/jquery.form.js"></script> 
   <script type="text/javascript" src="materialize/1.0.0/js/materialize.min.js"></script>
   <script src="js/numeral.min.js"></script>
   <script src="js/jquery.maskedinput.min.js" type="text/javascript"></script>

<script>
   var keyTimeout;

   $(document).ready(function() {

      $('.dropdown-trigger').dropdown({
         "hover": true,
         "constrainWidth": false,
         "coverTrigger": false
      });
      $('select').formSelect();

      $('.datepicker').datepicker({
         selectMonths: true, // Creates a dropdown to control month
         selectYears: 10, // Creates a dropdown of 15 years to control year
         monthsFull: [ 'Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre' ],
         monthsShort: [ 'Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic' ],
         weekdaysFull: [ 'Domingo', 'Lunes', 'Martes', 'Miercoles', 'Jueves', 'Viernes', 'Sabado' ],
         weekdaysShort: [ 'Dom', 'Lun', 'Mar', 'Mie', 'Jue', 'Vie', 'Sab' ],
         weekdaysLetter: [ 'D', 'L', 'M', 'M', 'J', 'V', 'S' ],
         today: 'Hoy',
         clear: 'Borrar',
         close: 'Cerrar',
         format: 'dd-mm-yyyy',
         formatSubmit: 'yyyy-mm-dd'
       });

       $("#cuenta").on('keyup', function() {

            var cuenta  = this.value;
            if( keyTimeout != undefined ) clearInterval(keyTimeout); 
            keyTimeout = setTimeout(function() {
               clearInterval(keyTimeout); 
               if( cuenta.length >= 0 ) {
                  populateCuentas(cuenta);
               }
            },2000);
       });   

      jQuery(function($){
         $("#cuenta").mask("99999999",{placeholder:" ", autoclear: false});
      });
      var inicio = <?php echo(json_encode($D)); ?>;
      var fin = <?php echo(json_encode($H)); ?>;
      $('#desde').datepicker('setDate', inicio );
      $('#hasta').datepicker('setDate', fin );

   });   

   // Post to the provided URL with the specified parameters.
   function post(path, parameters) {
      var form = $('<form></form>');

       form.attr("method", "post");
       form.attr("action", path);

       $.each(parameters, function(key, value) {
           var field = $('<input></input>');
           field.attr("type", "hidden");
           field.attr("name", key);
           field.attr("value", value);
           form.append(field);
       });

       // The form needs to be a part of the document in
       // order for us to be able to submit it.
       $(document.body).append(form);
      form.submit();
   };

   function Submit() {
      var d = $("#desde").val();
      var h = $("#hasta").val();
      var c = $("#cuenta").val();
      var den = $("#denominacion").val();
      var m = $("#modo").val();
      post("contableBalance.php", {desde:d,hasta:h,cuenta:c,denom:den,modo:m});
   }

   function normalizeDate( fecha ) {
      var normal = fecha.substr(6,4) + fecha.substr(3,2) + fecha.substr(0,2);
      return normal;
   }

   function denormalizeDate( fecha ) {
      var normal = fecha.substr(8,2) + "/" + fecha.substr(5,2) + "/" + fecha.substr(0,4);
      return normal;
   }

   function onChange(element) {
      var inicio = <?php echo(json_encode($Inicio)); ?>;
      var fin = <?php echo(json_encode($Fin)); ?>;
      var d = <?php echo(json_encode($D)); ?>;
      var h = <?php echo(json_encode($H)); ?>;
   
      console.log( element.value);
      switch( element.id ) {
         case "desde":
            if( normalizeDate( element.value ) < normalizeDate( inicio ) || normalizeDate( element.value ) > normalizeDate( fin ) ) {
               $("#desde").val( denormalizeDate( d ) );
               Materialize.toast('Las fechas deben estar comprendidas dentro del ejercicio activo', 3000, 'rounded') 
            }
            break;

         case "hasta":
            if( normalizeDate( element.value ) < normalizeDate( inicio ) || normalizeDate( element.value ) > normalizeDate( fin ) ) {
               $("#hasta").val( denormalizeDate( d ) );
               Materialize.toast('Las fechas deben estar comprendidas dentro del ejercicio activo', 3000, 'rounded') 
            }
            break;

         default:
            break;
      }
   }

   function populateCuentas(key) {
      key = $.trim(key);
      $('#dropdownData').empty();
      $.ajax({
          type: "POST",
          url: "recvCuentas.php",
          data: { 'key': key  },
              success: function(data){
                  var msg = JSON.parse(data);
                  for( i = 0; i < msg.length; i++ ) {
                      $("#dropdownData").append($("<li></li>").val(msg[i].option).html(msg[i].option + " " + msg[i].denominacion));
                  }
                  if( msg.length > 0 ) {
                     showCuentas();
                     $( "#dropdownData" ).focus();
                     searchflag = 2;
                  }
                  else {
                     Materialize.toast('No hay cuentas que comiencen con ese numero', 3000, 'rounded') 
                     hideCuentas();
                     $( "#cuenta" ).focus();
                  }
              }
      });
   }

   function showCuentas() {

      $( "#dropdownData" ).addClass( "active" );
      $( "#dropdownData" ).css( "opacity", 1 );
      $( "#dropdownData" ).css( 'display', 'block' );
      $( "#dropdownData" ).css( "width", "55%" );
      $( "#dropdownData" ).css( "height", "45%" );
      $( "#dropdownData" ).css( "color", "#009688" );
      $( "#dropdownData" ).css( "position", "absolute" );
      $( "#dropdownData" ).css( "left", "6%" );
      $( "#dropdownData" ).css( 'margin', '0 0 15px 0' );
      $( "#dropdownData" ).css( 'line-height', '3em' );
      $( "#dropdownData" ).css( "top", "320px" );
      $( "#cuenta" ).removeClass( "invalid" );

      $('#dropdownData li').on('click', function() {

            found = false;
            var key = $(this).val();
            $('#cuenta').val(key); 
            console.log($(this).val());

            $.ajax({
                type: "POST",
                url: "getCuenta.php",
                data: { 'key': key  },
                    success: function(data){
                       var msg = JSON.parse(data);
                       $('#cuenta').val(msg.cuenta); 
                       $('#denominacion').val(msg.denominacion); 
                       if( searchflag == 1 ) {
                         $( "#cuenta" ).focus();
                       }
                       found = true;
                   }
           });
           hideCuentas();
      });   
   }

   function hideCuentas() {
      $( "#dropdownData" ).removeClass( "active" );
      $( "#dropdownData" ).css( "opacity", 0 );
      $( "#dropdownData" ).css( 'display', 'none' );
   }


</script>
</body>
</html>

